Name:		ibus-mozc
Summary:	IBus engine for Mozc(GoogleIME)
Summary(ja):	IBus 用 Mozc(Google日本語入力) エンジン
Version:	0.11.0
Release:	4%{?_dist_release}
Group:		System Environment/Libraries
License:	BSD-like
URL:		http://code.google.com/p/mozc/

# Source tar ball is not released yet.
# See http://code.google.com/p/mozc/wiki/LinuxBuildInstructions
Source0:   %{name}-%{version}.tar.bz2

# Additional dictionaries by UTUMI Hirosi
Source1:	mozc-jinmei-20100513.7z
Source2:	mozc-zipcode-20100513.7z
Source3:	ibus-mozc.png

# Setting tool for mozc
# See http://github.com/hidegit/mozc-config
Source10:	mozc-config.tar.bz2
Source11:	ibus-setup-mozc.desktop

#Patch0:		ibus-mozc-fix-for-x86_64.diff
Patch1:		ibus-mozc-0.11.0-fix-compile-w-i386.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	python, ibus-devel, dbus-devel
BuildRequires:	openssl-devel, zlib-devel, subversion
BuildRequires:	curl-devel, p7zip
BuildRequires:	protobuf-devel, gtest-devel

Packager:	kazutaka

%description
Mozc is a Japanese Input Method Editor (IME) designed for
multi-platform such as Chromium OS, Windows, Mac and Linux.
This open-source project originates from Google Japanese Input.

%description -l ja
Mozc は日本語入力用の IME (Imput Method Editor)です。
Chromium OS や Windows、Mac、Linux といったマルチプラット
フォームで利用できるようにデザインされており、「Google日本語
入力」のオープンソース版です。

このパッケージには Mozc の IBus 用エンジンが含まれています。


%prep
%setup -q -n src -a 10
#%patch0 -p0 -b .fix-x86_64
%patch1 -p1 -b .fix-i386

# Add some dictionaries
%{__cp} %SOURCE1 data/dictionary/
%{__cp} %SOURCE2 data/dictionary/
pushd data/dictionary/
7za x mozc-jinmei-*.7z
7za x mozc-zipcode-*.7z
%{__cat} dictionary1.txt mozc-jinmei-*.txt mozc-zipcode-*.txt > dictionary1.txt.new
%{__mv} dictionary1.txt.new dictionary1.txt
popd

%build
%{__python} build_mozc.py gyp
%{__python} build_mozc.py build_tools -c Release
%{__python} build_mozc.py build -c Release unix/unix.gyp:ibus_mozc

# make mozc-config
pushd mozc-config
%{__make}
popd

%install
%{__rm} -rf %buildroot
%{__mkdir_p} %buildroot/%{_libdir}
%{__cp} -p out/Release/ibus_mozc %buildroot/%{_libdir}/ibus-engine-mozc
%{__mkdir_p} %buildroot/%{_datadir}/ibus/component/
%{__sed} 's|/usr/libexec|%{_libdir}|' < unix/ibus/mozc.xml > %buildroot/%{_datadir}/ibus/component/mozc.xml

# install icon (temporary)
%{__mkdir_p} %buildroot/%{_datadir}/%{name}
%{__cp} -p %{SOURCE3} %buildroot/%{_datadir}/%{name}/product_icon.png

# install document
%{__chmod} 644 debian/*
%{__cp} debian/copyright COPYING

# install mozc-config
pushd mozc-config
%{__make} install prefix=%buildroot/%{_prefix}
popd

# install desktop entry for ibus-setup-mozc
%{__mkdir_p} %buildroot/%{_datadir}/applications
%{__cp} %{SOURCE11} %buildroot/%{_datadir}/applications

# install document for mozc-config
%{__cp} mozc-config/README README.mozc-config

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README.mozc-config
%{_libdir}/ibus-engine-mozc
%{_datadir}/ibus/component/mozc.xml
%{_datadir}/%{name}/product_icon.png
# for mozc-config
%{_bindir}/mozc-config
%{_bindir}/mozc-dict
%{_datadir}/applications/ibus-setup-mozc.desktop
%{_datadir}/ibus-mozc/setup/setup.glade
%{_libexecdir}/ibus-setup-mozc
%{_localedir}/ja/LC_MESSAGES/ibus-mozc.mo

   
%changelog
* Sun May 23 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.11.0-4
- update source to revision 23
- add BuildRequires protobuf-devel, gtest-devel
- drop Patch0 (ibus-mozc-fix-for-x86_64.diff)
- add mozc-config as Source10 and desktop entry as Source11

* Sat May 15 2010 IWAI, Masaharu <iwai@alib.jp> 0.11.0-3
- rebuild with ibus-1.3.3

* Fri May 14 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.11.0-2
- add Patch1 to fix compile error on i386 (workaround patch)

* Thu May 13 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.11.0-1
- initial build for Vine Liux based on custom mandriva package made by UTUMI-san

* Thu May 13 2010 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.11.0-2.20110511.1mdv2010.1
- add some dictionaries

* Wed May 12 2010 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.11.0-1.20110511.1mdv2010.1
- first release

